Index: SpatialEvaluatorsFactory.java
===================================================================
--- SpatialEvaluatorsFactory.java	(revision 43033)
+++ SpatialEvaluatorsFactory.java	(revision 43034)
@@ -22,27 +22,31 @@
         
     }
     
-    public Evaluator intersects(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
+    public Evaluator intersects(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
         return new IntersectsGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }
     
-    public Evaluator intersects(Envelope envelope,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
+    public Evaluator intersects(
+            Envelope envelope,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
         return new IntersectsEnvelopeEvaluator(envelope, projection, featureType, geomName, builder);
     }
     
-    public Evaluator intersects(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
-        
-        
+    public Evaluator intersects(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
@@ -53,9 +57,11 @@
         }
     }
 
-    public Evaluator intersects(Envelope envelope,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator intersects(
+            Envelope envelope,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
@@ -66,211 +72,251 @@
         }
     }
 
-    public Evaluator contains(Envelope envelope,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder){
+    public Evaluator contains(
+            Envelope envelope,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ){
         return new ContainsEnvelopeEvaluator(envelope, projection, featureType, geomName);
     }
 
-    public Evaluator contains(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder){
-        return new ContainsGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator contains(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ){
+        return new ContainsGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }
     
-    public Evaluator contains(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator contains(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return contains(geometry, projection, featureType, geomName,builder);
+            return this.contains(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create contains evaluator.",ex);
         }
     }
 
-    public Evaluator contains(Envelope envelope,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator contains(
+            Envelope envelope,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return contains(envelope, projection, featureType, geomName,builder);
+            return this.contains(envelope, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create contains evaluator.",ex);
         }
     }
 
-    public Evaluator not_contains(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder){
-        return new OutGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator not_contains(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ){
+        return new OutGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }
     
-    public Evaluator not_contains(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator not_contains(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return not_contains(geometry, projection, featureType, geomName,builder);
+            return this.not_contains(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create not_contains evaluator.",ex);
         }
     }
 
-    public Evaluator crosses(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new CrossesGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator crosses(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new CrossesGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }
 
-    public Evaluator crosses(Envelope envelope,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new CrossEnvelopeEvaluator(envelope, projection, featureType, geomName);
+    public Evaluator crosses(
+            Envelope envelope,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new CrossEnvelopeEvaluator(envelope, projection, featureType, geomName, builder);
     }
 
-    public Evaluator crosses(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator crosses(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return crosses(geometry, projection, featureType, geomName,builder);
+            return this.crosses(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create crosses evaluator.",ex);
         }
     }
 
-    public Evaluator crosses(Envelope envelope,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator crosses(
+            Envelope envelope,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return crosses(envelope, projection, featureType, geomName,builder);
+            return this.crosses(envelope, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create crosses evaluator.",ex);
         }
     }
 
-    public Evaluator disjoint(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new DisjointGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator disjoint(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new DisjointGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }    
 
-    public Evaluator disjoint(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator disjoint(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return disjoint(geometry, projection, featureType, geomName,builder);
+            return this.disjoint(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create disjoint evaluator.",ex);
         }
     }
     
-    public Evaluator overlaps(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new OverlapsGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator overlaps(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new OverlapsGeometryEvaluator(geometry, projection, featureType, geomName, builder);
     }    
 
-    public Evaluator overlaps(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator overlaps(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return overlaps(geometry, projection, featureType, geomName,builder);
+            return this.overlaps(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create overlaps evaluator.",ex);
         }
     }
     
-    public Evaluator touches(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new TouchesGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator touches(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new TouchesGeometryEvaluator(geometry, projection, featureType, geomName,builder);
     }    
 
-    public Evaluator touches(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator touches(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return touches(geometry, projection, featureType, geomName,builder);
+            return this.touches(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create touches evaluator.",ex);
         }
     }
     
-    public Evaluator within(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new WithinGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator within(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new WithinGeometryEvaluator(geometry, projection, featureType, geomName,builder);
     }    
 
-    public Evaluator within(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator within(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return within(geometry, projection, featureType, geomName,builder);
+            return this.within(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create within evaluator.",ex);
         }
     }
     
-    public Evaluator equals(Geometry geometry,
-        IProjection projection, 
-        FeatureType featureType,
-        String geomName,
-        ExpressionBuilder builder) {
-        return new EqualsGeometryEvaluator(geometry, projection, featureType, geomName);
+    public Evaluator equals(
+            Geometry geometry,
+            IProjection projection, 
+            FeatureType featureType,
+            String geomName,
+            ExpressionBuilder builder
+        ) {
+        return new EqualsGeometryEvaluator(geometry, projection, featureType, geomName,builder);
     }    
     
-    public Evaluator equals(Geometry geometry,
-        IProjection projection, 
-        FeatureStore store) {
+    public Evaluator equals(    
+            Geometry geometry,
+            IProjection projection, 
+            FeatureStore store
+        ) {
         try {
             FeatureType featureType = store.getDefaultFeatureType();
             String geomName = featureType.getDefaultGeometryAttributeName();
             ExpressionBuilder builder = store.createExpressionBuilder();
-            return equals(geometry, projection, featureType, geomName,builder);
+            return this.equals(geometry, projection, featureType, geomName,builder);
         } catch (DataException ex) {
             throw new RuntimeException("Can't create equals evaluator.",ex);
         }