Index: DataStore.java
===================================================================
--- DataStore.java	(revision 43151)
+++ DataStore.java	(revision 43152)
@@ -32,6 +32,7 @@
 import org.gvsig.timesupport.Interval;
 import org.gvsig.timesupport.Time;
 import org.gvsig.tools.dispose.Disposable;
+import org.gvsig.tools.dynobject.DynObject;
 import org.gvsig.tools.exception.BaseException;
 import org.gvsig.tools.observer.ComplexWeakReferencingObservable;
 import org.gvsig.tools.observer.Observer;
@@ -69,7 +70,7 @@
 
 	/**
 	 * Metadata property name for the provider name provided by the data provider.
-	 * 
+	 *
 	 * This metadata is provided by all data providers.
 	 */
 	public static final String METADATA_PROVIDER = "ProviderName";
@@ -77,30 +78,30 @@
 	/**
 	 * Metadata property name for Container name provided by the data provider.
 	 * By explample, in a dbf file, this is the name of dbf.
-	 * 
+	 *
 	 * This metadata is provided by all data providers.
 	 */
 	public static final String METADATA_CONTAINERNAME = "ContainerName";
 
 	/**
 	 * Metadata property name for the feature type provided by the data provider.
-	 * 
+	 *
 	 * This metadata is provided by all tabular data providers.
 	 */
 	public static final String METADATA_FEATURETYPE = "FeatureType";
 
 	/**
 	 * Metadata property name for CRS provided by the data provider.
-	 * 
-	 * This metadata is only provided by data provider with spatial 
+	 *
+	 * This metadata is only provided by data provider with spatial
 	 * information.
 	 */
 	public static final String METADATA_CRS = "CRS";
 
 	/**
 	 * Metadata property name for Envelope provided by the data provider
-	 * 
-	 * This metadata is only provided by data provider with spatial 
+	 *
+	 * This metadata is only provided by data provider with spatial
 	 * information.
 	 */
 	public static final String METADATA_ENVELOPE = "Envelope";
@@ -109,28 +110,28 @@
 	 * Returns the name associated to the store.
 	 * This name is provided for informational purposes only.
 	 * Explamples:
-	 * 
+	 *
 	 * In a dbf the filename without the path
-	 * 
+	 *
 	 * In a DDBB table the name of the table
-	 * 
+	 *
 	 * In a WFS layer the name of the layer.
 	 *
 	 * @return String containing this store's name.
 	 */
 	public String getName();
-	
+
 	/**
 	 * Returns a more descriptive name for the store that getName.
 	 * This name is provided for informational purposes only.
 	 * Explamples:
-	 * 
+	 *
 	 * In a file based store may return the full name of the filename, path and filename.
-	 * 
+	 *
 	 * In a data base based store may return "server:dbname:tablename"
-	 * 
+	 *
 	 * In a WFS layer based store may return "server:layername"
-	 * 
+	 *
 	 * @return String Containing the full name of the store
 	 */
 	public String getFullName();
@@ -144,11 +145,11 @@
 
 	/**
 	 * Return the provider name that use this store.
-	 * 
+	 *
 	 * @return provider name of this store
 	 */
 	public String getProviderName();
-	
+
 	/**
 	 * Refreshes this store state.
 	 *
@@ -182,11 +183,11 @@
      * The values received through the {@link Visitor#visit(Object)} method
      * may be transient, reused or externally modifiable, so they can't
      * be used to be stored in any external form out of the visit method.
-     * 
+     *
      * If you need to store any of the values out of the
      * {@link Visitor#visit(Object)} method execution, create a copy or clone
      * the received value in order to be stored.
-     * 
+     *
      * @param visitor
      *            the visitor to apply to each value.
      * @exception BaseException
@@ -199,11 +200,11 @@
      * The values received through the {@link Visitor#visit(Object)} method
      * may be transient, reused or externally modifiable, so they can't
      * be used to be stored in any external form out of the visit method.
-     * 
+     *
      * If you need to store any of the values out of the
      * {@link Visitor#visit(Object)} method execution, create a copy or clone
      * the received value in order to be stored.
-     * 
+     *
      * @param visitor
      *            the visitor to apply to each value.
      * @param dataQuery
@@ -274,11 +275,11 @@
 	/**
 	 * Returns the DataServerExplorer to which this DataStore belongs, if there
 	 * is any.
-	 * 
+	 *
 	 * @return DataServerExplorer to which this DataStore belongs, or
 	 *         <code>null</code> if this was not accessed through any
 	 *         DataServerExplorer.
-	 * 
+	 *
 	 * @throws DataException
 	 * @throws ValidateDataParametersException
 	 */
@@ -294,7 +295,7 @@
 	 * @throws DataException
 	 */
 	public DataQuery createQuery();
-	
+
 	/**
 	 * Gets the {@link Interval} of the store, that means the temporal
 	 * interval where the store has valid data.
@@ -302,14 +303,14 @@
 	 *         a time interval or null if there is not time support
 	 */
 	public Interval getInterval();
-	
+
 	/**
-	 * Gets all the possible values of time for which the store has data.  
+	 * Gets all the possible values of time for which the store has data.
 	 * @return
 	 *         a collection of {@link Time} objects.
 	 */
 	public Collection getTimes();
-	
+
 	/**
 	 * Gets all the possible values of time for which the store has data
 	 * and intersects with an interval.
@@ -319,5 +320,14 @@
 	 *         a collection of {@link Time} objects.
 	 */
 	public Collection getTimes(Interval interval);
+
+	/**
+	 * @param providerName
+	 * @param parameters
+	 * @throws DataException
+	 */
+	public void useCache(String providerName, DynObject parameters) throws DataException;
+
+	public DataStoreProviderFactory getFactory();
 }
 