Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/rendering/legend/IVectorLegend.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/rendering/legend/IVectorLegend.java	(revision 43202)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/rendering/legend/IVectorLegend.java	(revision 43203)
@@ -3,23 +3,22 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
 package org.gvsig.fmap.mapcontext.rendering.legend;
 
@@ -38,145 +37,107 @@
 import org.gvsig.fmap.mapcontext.rendering.symbols.ISymbol;
 import org.gvsig.tools.task.Cancellable;
 
-
-
 /**
  * Interface of a vectorial legend.
  *
- * @author Vicente Caballero Navarro
  */
 public interface IVectorLegend extends ILegend, DrawingObservable {
-	/**
-	 * Inserts the DataSource.
-	 *
-	 * @param ds DataSource.
-	 * @throws DataException TODO
-	 * @throws FieldNotFoundException when the field is not found.
-	 */
-//	void setFeatureStore(FeatureStore fs)
-//		throws DataException;
 
-	/**
-	 * Returns the symbol to be used to represent the feature in the i-th
-	 * record in the DataSource
-	 * @param i, the record index
-	 *
-	 * @return ISymbol.
-	 */
-//	ISymbol getSymbol(int i) throws ReadException;
-	/**
+    /**
+     * Obtains the default symbol of the legend.
+     *
+     * @return default symbol.
+     */
+    @Override
+    ISymbol getDefaultSymbol();
+
+    /**
      * Returns a symbol starting from an IFeature.
-	 *
-	 * TAKE CARE!! When we are using a feature iterator as a database
-	 * the only field that will be filled is the fieldID.
-	 * The rest of fields will be null to reduce the time of creation
-	 *
-	 * @param feat IFeature.
-	 *
-	 * @return Símbolo.
-	 * @throws MapContextException 
-	 */
+     *
+     * @param feat IFeature.
+     *
+     * @return Símbolo.
+     * @throws MapContextException
+     */
     ISymbol getSymbolByFeature(Feature feat) throws MapContextException;
 
-	/**
-	 * Returns the type of the shape.
-	 *
-	 * @return Returns the type of the shapes that the legend is ready to use.
-	 *
-	 */
-	int getShapeType();
+    /**
+     * Returns the type of the shape.
+     *
+     * @return Returns the type of the shapes that the legend is ready to use.
+     *
+     */
+    int getShapeType();
 
-	/**
-	 * Defines the type of the shape.
-	 *
-	 * @param shapeType type of the shape.
-	 */
-	void setShapeType(int shapeType);
+    /**
+     * Defines the type of the shape.
+     *
+     * @param shapeType type of the shape.
+     */
+    void setShapeType(int shapeType);
 
-	/**
-	 * Establishes the default symbol of a legend. In a SingleSymbolLegend the symbol
-	 * is established by calling this method.
-	 *
-	 * @param s default symbol.
-	 */
-	void setDefaultSymbol(ISymbol s);
+    /**
+     * Establishes the default symbol of a legend. In a SingleSymbolLegend the
+     * symbol is established by calling this method.
+     *
+     * @param s default symbol.
+     */
+    void setDefaultSymbol(ISymbol s);
 
-	/**
+    /**
      * Returns true or false depending on if the rest of values are used.
-	 *
-	 * @return  True if the rest of values are used.
-	 */
+     *
+     * @return True if the rest of values are used.
+     */
     public boolean isUseDefaultSymbol();
 
     void useDefaultSymbol(boolean b);
 
-//   jjdc los eliminamos, y debe quedar dependiente de la implementacion y n de api
-//   public ZSort getZSort();
-//
-//	public void setZSort(ZSort zSort);
-//
-	public boolean isSuitableForShapeType(int shapeType);
+    public boolean isSuitableForShapeType(int shapeType);
 
-	/**
-	 * Draws the {@link FeatureStore} data using this legend simbology.
-	 * 
-	 * @param image
-	 *            the base image to draw over
-	 * @param graphics2D
-	 *            the {@link Graphics2D} to draw to
-	 * @param viewPort
-	 *            the ViewPort to use
-	 * @param cancel
-	 *            the {@link Cancellable} delegate object
-	 * @param scale
-	 *            the scale of the view
-	 * @param queryParameters
-	 *            the query parameters
-	 * @param coordTrans
-	 *            the transformation coordinates to use for reprojection
-	 * @param featureStore
-	 * 			  {@link FeatureStore} to load the data to draw from
-	 * @throws LegendException
-	 */
-	void draw(BufferedImage image, Graphics2D graphics2D, ViewPort viewPort,
-			Cancellable cancel, double scale, Map queryParameters,
-			ICoordTrans coordTrans, FeatureStore featureStore)
-			throws LegendException;
-	
-	 /**
+    /**
      * Draws the {@link FeatureStore} data using this legend simbology.
-     * 
-     * @param image
-     *            the base image to draw over
-     * @param graphics2D
-     *            the {@link Graphics2D} to draw to
-     * @param viewPort
-     *            the ViewPort to use
-     * @param cancel
-     *            the {@link Cancellable} delegate object
-     * @param scale
-     *            the scale of the view
-     * @param queryParameters
-     *            the query parameters
-     * @param coordTrans
-     *            the transformation coordinates to use for reprojection
-     * @param featureStore
-     *            {@link FeatureStore} to load the data to draw from
-     * @param featureQuery 
-     *            the query used to filter the features.
+     *
+     * @param image the base image to draw over
+     * @param graphics2D the {@link Graphics2D} to draw to
+     * @param viewPort the ViewPort to use
+     * @param cancel the {@link Cancellable} delegate object
+     * @param scale the scale of the view
+     * @param queryParameters the query parameters
+     * @param coordTrans the transformation coordinates to use for reprojection
+     * @param featureStore {@link FeatureStore} to load the data to draw from
      * @throws LegendException
      */
     void draw(BufferedImage image, Graphics2D graphics2D, ViewPort viewPort,
             Cancellable cancel, double scale, Map queryParameters,
+            ICoordTrans coordTrans, FeatureStore featureStore)
+            throws LegendException;
+
+    /**
+     * Draws the {@link FeatureStore} data using this legend simbology.
+     *
+     * @param image the base image to draw over
+     * @param graphics2D the {@link Graphics2D} to draw to
+     * @param viewPort the ViewPort to use
+     * @param cancel the {@link Cancellable} delegate object
+     * @param scale the scale of the view
+     * @param queryParameters the query parameters
+     * @param coordTrans the transformation coordinates to use for reprojection
+     * @param featureStore {@link FeatureStore} to load the data to draw from
+     * @param featureQuery the query used to filter the features.
+     * @throws LegendException
+     */
+    void draw(BufferedImage image, Graphics2D graphics2D, ViewPort viewPort,
+            Cancellable cancel, double scale, Map queryParameters,
             ICoordTrans coordTrans, FeatureStore featureStore, FeatureQuery featureQuery)
             throws LegendException;
 
-	void print(Graphics2D g, ViewPort viewPort, Cancellable cancel,
-			double scale, Map queryParameters, ICoordTrans coordTrans,
-			FeatureStore featureStore, PrintAttributes properties) throws LegendException;
-	
-	void print(Graphics2D g, ViewPort viewPort, Cancellable cancel,
-        double scale, Map queryParameters, ICoordTrans coordTrans,
-        FeatureStore featureStore, FeatureQuery featureQuery, PrintAttributes properties) throws LegendException;
+    void print(Graphics2D g, ViewPort viewPort, Cancellable cancel,
+            double scale, Map queryParameters, ICoordTrans coordTrans,
+            FeatureStore featureStore, PrintAttributes properties) throws LegendException;
 
+    void print(Graphics2D g, ViewPort viewPort, Cancellable cancel,
+            double scale, Map queryParameters, ICoordTrans coordTrans,
+            FeatureStore featureStore, FeatureQuery featureQuery, PrintAttributes properties) throws LegendException;
+
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/rendering/legend/ILegend.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/rendering/legend/ILegend.java	(revision 43202)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fmap/mapcontext/rendering/legend/ILegend.java	(revision 43203)
@@ -3,23 +3,22 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
 package org.gvsig.fmap.mapcontext.rendering.legend;
 
@@ -32,44 +31,49 @@
  *
  */
 public interface ILegend extends Legend {
-	/**
-	 * Obtains the default symbol of the legend.
-	 *
-	 * @return default symbol.
-	 */
-	ISymbol getDefaultSymbol();
 
-	/**
-	 * Clones the legend.
-	 *
-	 * @return Cloned legend.
-	 *
-	 * @throws XMLException
-	 */
-	ILegend cloneLegend();
-	/**
-	 * Adds a new listener to the legend.
-	 *
-	 * @param listener to be added
-	 */
-	void addLegendListener(LegendContentsChangedListener listener);
-	/**
-	 * Removes a listener from the legend.
-	 *
-	 * @param listener to be removed
-	 */
-	public void removeLegendListener(LegendContentsChangedListener listener);
-	/**
-	 * Executed when the default symbol of a legend is changed.
-	 *
-	 * @param event
-	 */
-	public void fireDefaultSymbolChangedEvent(SymbolLegendEvent event);
-	/**
-	 * Obtains the listeners of a legend.
-	 *
-	 * @return LegendListener[] array composed by the listeners of a legend.
-	 */
-	public LegendContentsChangedListener[] getListeners();
+    /**
+     * Obtains the default symbol of the legend.
+     *
+     * @return default symbol.
+     * @deprecated if vectorial legend use IVectorLegend
+     */
+    ISymbol getDefaultSymbol();
+
+    /**
+     * Clones the legend.
+     *
+     * @return Cloned legend.
+     */
+    ILegend cloneLegend();
+
+    /**
+     * Adds a new listener to the legend.
+     *
+     * @param listener to be added
+     */
+    void addLegendListener(LegendContentsChangedListener listener);
+
+    /**
+     * Removes a listener from the legend.
+     *
+     * @param listener to be removed
+     */
+    public void removeLegendListener(LegendContentsChangedListener listener);
+
+    /**
+     * Executed when the default symbol of a legend is changed.
+     *
+     * @param event
+     * @deprecated
+     */
+    public void fireDefaultSymbolChangedEvent(SymbolLegendEvent event);
+
+    /**
+     * Obtains the listeners of a legend.
+     *
+     * @return LegendListener[] array composed by the listeners of a legend.
+     * @deprecated
+     */
+    public LegendContentsChangedListener[] getListeners();
 }
-